(ns wanijo.visualisation.domain
  (:require [wanijo.framework.neo4j :as neo4j]))

(neo4j/defquery all-instance-connections
  "MATCH
     (source:instance)-[:of]->(schema:schema)
   OPTIONAL MATCH
     (source)<-[:link_from]-(link:link)-[:link_to]->(target:instance),
     (target)-[:of]->(target_schema:schema)
   RETURN source, schema, link, target, target_schema")

(defn all-instance-connections! []
  (neo4j/exec-query! all-instance-connections {}))
