(ns wanijo.visualisation.view
  (:require [hiccup.page :refer [include-js]]
            [wanijo.framework.view :as view]))

(defn index [req]
  (view/layout!
   :request req
   :head (include-js "/js/frontend.js")
   :bottom [:script
            "Elm.Main.init({node: document.getElementById('visualisation')})"]
   :content
   [[:h1 "Visualisation"]
    [:div#visualisation]
    ]))
